Package Details: cava-git r738.bed649f-4

Git Clone URL: https://aur.archlinux.org/cava-git.git (read-only, click to copy)
Package Base: cava-git
Description: Console-based Audio Visualizer for Alsa. Development version.
Upstream URL: https://github.com/karlstav/cava
Licenses: MIT
Conflicts: cava
Provides: cava
Submitter: CelestialWalrus
Maintainer: timescam
Last Packager: timescam
Votes: 14
Popularity: 0.000182
First Submitted: 2015-04-21 18:39 (UTC)
Last Updated: 2022-03-17 01:54 (UTC)

Latest Comments

lutobler commented on 2015-12-28 21:06 (UTC)

This works for me: https://gist.github.com/ltobler/f1cd3ed8c9ecd821fe7f

quequotion commented on 2015-12-13 16:40 (UTC) (edited on 2015-12-13 17:14 (UTC) by quequotion)

I tried the build() segment from https://gist.github.com/shaggytwodope/73dbe7a98fb860d2af77 The package builds, but when executing cava it fails with this error: mkdir: cannot create directory ‘/usr/bin/.libs’: Permission denied /usr/bin/ld: cannot open output file /usr/bin/.libs/8343-lt-cava: No such file or directory collect2: error: ld returned 1 exit status Why on earth would it even try to do such a thing? EDIT: Because it additionally makedepends() on iniparser Without iniparser installed, build stops at a stage where a shell script--named "cava"--fails to libtoolize the binary that will be saved with the same name ...in the same directory... This is not noticed by makepkg, somehow, which proceeds to install the shell script--apparently part of the build procedure--as it is in the same place and uses the same filename as the final binary (which was never created).

dylan commented on 2015-11-23 22:04 (UTC)

Cava no longer builds with this PKGBUILD because upstream now has a configure script and an autogen.sh.

commented on 2015-09-20 02:49 (UTC)

Until adjusted upstream, needs a little tweak to compile against current ncurses. under build function add: sed -i -e 's/ncursesw5-config/ncursesw6-config/' makefile before the make call